
-- GLOBALS: FILTER_LANGUAGE, PlaySound

--[[ Main Panel ]]--
local config_frame = CreateFrame("Frame", "FLLanguageConfig", InterfaceOptionsFramePanelContainer)
config_frame:Hide()
config_frame.name = "Filter Language"
local title = config_frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("Filter Language "..GetAddOnMetadata("Filter_Language","Version"))
InterfaceOptions_AddCategory(config_frame)

--[[ Debug checkbox]]--
local chkDebug = CreateFrame("CheckButton", "FLFilterAllchk", config_frame, "OptionsBaseCheckButtonTemplate")
chkDebug:SetPoint("TOPLEFT", 16, -35)
chkDebug:SetScript("OnClick", function(frame)
	if frame:GetChecked() then
		FILTER_LANGUAGE["debug"] = true
		PlaySound("igMainMenuOptionCheckBoxOn")
	else
		FILTER_LANGUAGE["debug"] = false
		PlaySound("igMainMenuOptionCheckBoxOff")
	end
end)
chkDebug:SetScript("OnShow", function(frame)
	frame:SetChecked(FILTER_LANGUAGE["debug"])
end)

local txtDebug = chkDebug:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
txtDebug:SetPoint("LEFT", chkDebug, "RIGHT", 0, 1)
txtDebug:SetText("Print debug messages about blocked messages.")


--[[ Filter all Message Checkbox ]]--
local chkFilterAll = CreateFrame("CheckButton", "FLFilterAllchk", config_frame, "OptionsBaseCheckButtonTemplate")
chkFilterAll:SetPoint("TOPLEFT", 16, -70)
chkFilterAll:SetScript("OnClick", function(frame)
	if frame:GetChecked() then
		FILTER_LANGUAGE["all"] = true
		PlaySound("igMainMenuOptionCheckBoxOn")
	else
		FILTER_LANGUAGE["all"] = false
		PlaySound("igMainMenuOptionCheckBoxOff")
	end
end)
chkFilterAll:SetScript("OnShow", function(frame)
	frame:SetChecked(FILTER_LANGUAGE["all"])
end)

local txtFilterAll = chkFilterAll:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
txtFilterAll:SetPoint("LEFT", chkFilterAll, "RIGHT", 0, 1)
txtFilterAll:SetText("Filter all non-English languages.")

--[[ Filter all percentage ]]--
local boxFilterAll = CreateFrame("EditBox", "FLFilterALLbox", config_frame, "InputBoxTemplate")
boxFilterAll:SetPoint("TOPLEFT", 50, -105)
boxFilterAll:SetAutoFocus(false)
boxFilterAll:SetNumeric(true)
boxFilterAll:SetWidth(30)
boxFilterAll:SetHeight(20)
boxFilterAll:SetMaxLetters(3)
boxFilterAll:Show()

boxFilterAll:SetScript("OnHide", function(frame)
	local n = tonumber(frame:GetText())
	if not n or n == "" then frame:SetText(FILTER_LANGUAGE["allp"] or 75) return end
	if n < 0 then
		frame:SetText(FILTER_LANGUAGE["allp"] or 75)
	else
		FILTER_LANGUAGE["allp"] = n
	end
end)
boxFilterAll:SetScript("OnShow", function(frame)
	frame:SetText(FILTER_LANGUAGE["allp"] or 75)
end)

local txtFilerAllPercent = boxFilterAll:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
txtFilerAllPercent:SetPoint("LEFT", boxFilterAll, "RIGHT", 0, 1)
txtFilerAllPercent:SetText("% of non-English characters to allow.")
